0

I get the following error when updating Python to the latest version:

E: Unable to locate package python3.9.1
E: Couldn't find any package by glob 'python3.9.1'
E: Couldn't find any package by regex 'python3.9.1'
0

Update the packages list and install the prerequisites:

sudo apt update sudo apt install software-properties-common

Add the deadsnakes PPA to your system’s sources list:

sudo add-apt-repository ppa:deadsnakes/ppa

Once the repository is enabled, you can install Python 3.9 by executing:

sudo apt install python3.9

try to get the output: Python 3.9.0+

python3.9 --version

via

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.